## org.eclipse.ocl.ecore.impl
Class ExpressionInOCLImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.ecore.impl.ExpressionInOCLImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, ExpressionInOCL<EClassifier,EParameter>, Visitable

    public class ExpressionInOCLImpl

extends EObjectImpl
implements ExpressionInOCL

An implementation of the model object 'Expression In OCL'.

The following features are implemented:

- `Body Expression`
- `Context Variable`
- `Result Variable`
- `Parameter Variable`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected OCLExpression<EClassifier>` `bodyExpression` The cached value of the '`Body Expression`' containment reference
`protected Variable<EClassifier,EParameter>` `contextVariable` The cached value of the '`Context Variable`' containment reference
`protected EList<Variable<EClassifier,EParameter>>` `parameterVariable` The cached value of the '`Parameter Variable`' containment reference list
`protected Variable<EClassifier,EParameter>` `resultVariable` The cached value of the '`Result Variable`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ExpressionInOCLImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`NotificationChain` `basicSetBodyExpression(OCLExpression<EClassifier> newBodyExpression, NotificationChain msgs)`
`NotificationChain` `basicSetContextVariable(Variable<EClassifier,EParameter> newContextVariable, NotificationChain msgs)`
`NotificationChain` `basicSetResultVariable(Variable<EClassifier,EParameter> newResultVariable, NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression<EClassifier>` `getBodyExpression()`
`Variable<EClassifier,EParameter>` `getContextVariable()`
`EList<Variable<EClassifier,EParameter>>` `getParameterVariable()`
`Variable<EClassifier,EParameter>` `getResultVariable()`
`void` `setBodyExpression(OCLExpression<EClassifier> newBodyExpression)`
`void` `setContextVariable(Variable<EClassifier,EParameter> newContextVariable)`
`void` `setResultVariable(Variable<EClassifier,EParameter> newResultVariable)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### bodyExpression

    protected OCLExpression<EClassifier> bodyExpression

  The cached value of the '`Body Expression`' containment reference.

  See Also:
    `getBodyExpression()`

### contextVariable

    protected Variable<EClassifier,EParameter> contextVariable

  The cached value of the '`Context Variable`' containment reference.

  See Also:
    `getContextVariable()`

### resultVariable

    protected Variable<EClassifier,EParameter> resultVariable

  The cached value of the '`Result Variable`' containment reference.

  See Also:
    `getResultVariable()`

### parameterVariable

    protected EList<Variable<EClassifier,EParameter>> parameterVariable

  The cached value of the '`Parameter Variable`' containment reference list.

  See Also:
    `getParameterVariable()`

Constructor Detail

### ExpressionInOCLImpl

    protected ExpressionInOCLImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getBodyExpression

    public OCLExpression<EClassifier> getBodyExpression()

  Specified by:
    `getBodyExpression` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Returns:
    the value of the 'Body Expression' containment reference.
  See Also:
    `ExpressionInOCL.setBodyExpression(OCLExpression)`, `UtilitiesPackage.getExpressionInOCL_BodyExpression()`

### basicSetBodyExpression

    public NotificationChain basicSetBodyExpression(OCLExpression<EClassifier> newBodyExpression,
                                                    NotificationChain msgs)

### setBodyExpression

    public void setBodyExpression(OCLExpression<EClassifier> newBodyExpression)

  Specified by:
    `setBodyExpression` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Parameters:
    `newBodyExpression` - the new value of the 'Body Expression' containment reference.
  See Also:
    `ExpressionInOCL.getBodyExpression()`

### getContextVariable

    public Variable<EClassifier,EParameter> getContextVariable()

  Specified by:
    `getContextVariable` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Returns:
    the value of the 'Context Variable' containment reference.
  See Also:
    `ExpressionInOCL.setContextVariable(Variable)`, `UtilitiesPackage.getExpressionInOCL_ContextVariable()`

### basicSetContextVariable

    public NotificationChain basicSetContextVariable(Variable<EClassifier,EParameter> newContextVariable,
                                                     NotificationChain msgs)

### setContextVariable

    public void setContextVariable(Variable<EClassifier,EParameter> newContextVariable)

  Specified by:
    `setContextVariable` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Parameters:
    `newContextVariable` - the new value of the 'Context Variable' containment reference.
  See Also:
    `ExpressionInOCL.getContextVariable()`

### getResultVariable

    public Variable<EClassifier,EParameter> getResultVariable()

  Specified by:
    `getResultVariable` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Returns:
    the value of the 'Result Variable' containment reference.
  See Also:
    `ExpressionInOCL.setResultVariable(Variable)`, `UtilitiesPackage.getExpressionInOCL_ResultVariable()`

### basicSetResultVariable

    public NotificationChain basicSetResultVariable(Variable<EClassifier,EParameter> newResultVariable,
                                                    NotificationChain msgs)

### setResultVariable

    public void setResultVariable(Variable<EClassifier,EParameter> newResultVariable)

  Specified by:
    `setResultVariable` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Parameters:
    `newResultVariable` - the new value of the 'Result Variable' containment reference.
  See Also:
    `ExpressionInOCL.getResultVariable()`

### getParameterVariable

    public EList<Variable<EClassifier,EParameter>> getParameterVariable()

  Specified by:
    `getParameterVariable` in interface `ExpressionInOCL<EClassifier,EParameter>`
  Returns:
    the value of the 'Parameter Variable' containment reference list.
  See Also:
    `UtilitiesPackage.getExpressionInOCL_ParameterVariable()`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Specified by:
    `accept` in interface `Visitable`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.